Looking for the latest version? Download RubyCocoa-1.2.0.tar.gz (2.0 MB)
Home / RubyCocoa / 1.1.0
Name Modified Size Downloads / Week Status
Parent folder
Totals: 4 Items   5.7 MB 4
RubyCocoa-1.1.0-OSX10.9.dmg 2013-11-17 1.8 MB 11 weekly downloads
readme.txt 2013-11-17 2.5 kB 11 weekly downloads
RubyCocoa-1.1.0-OSX10.8.dmg 2013-11-17 2.0 MB 11 weekly downloads
RubyCocoa-1.1.0.tar.gz 2013-11-17 1.9 MB 11 weekly downloads
Hi, We released RubyCocoa 1.1.0. https://sourceforge.net/projects/rubycocoa/files/RubyCocoa/1.1.0/ RubyCocoa is a Mac OS X framework that allows Cocoa programming in the object-oriented scripting language Ruby. In other words, it is a bridge that let you access Objective-C objects from Ruby, and vice-versa. You can learn more about RubyCocoa on our website: http://rubycocoa.sourceforge.net/ A source tarball as well as binary installers for Mac OS X 10.9 and 10.8 are provided. This version deprecates some minor APIs, and does not support Mac OS X 10.5 and 10.4. The release notes are following. Enjoy! KIMURA Wataru == Changes 1.1.0 from 1.0.7: 2013-11-17 === Improvements * Support Xcode 5 "Modules". * Developers can disable internal Objective-C -> Ruby objects cache via a new global variable $RUBYCOCOA_USE_OC2RBCACHE to avoid crashes from inconsistency between the cache and Ruby's GC. [Experimental] The crash may occurs delegate of NSTableView. # rb_main.rb require 'osx/cocoa' def rb_main_init : end $RUBYCOCOA_USE_OC2RBCACHE = false # <= add rb_main_init === Fixes * Fixed standaloneify.rb error with ruby-2.0 or rubygems-2.1. * Fixed SEGV at Object#dup for some Objective-C objects. === Deprecates * Deprecated Objective-C class "RubyCocoa" in <RubyCocoa/RubyCocoa.h>. developers can use RBRuntime functions to call ruby from Objective-C. - bundleInitWithProgram:class:param: -> RBBundleInit() - applicationInitWithProgram:argc:argv:param: -> RBApplicationInit() - applicationMainWithProgram:argc:argv: -> RBApplicationMain() * Deprecated NSString|String methods depends "NKF" extension. - NSString.guess_nsencoding - NSString.guess_encoding - NSString.stringWithRubyString - NSMutableString.stringWithRubyString - String.nsencoding === Note * Mac OS X 10.5 or earlier not supported. === Files - RubyCocoa-1.1.0-OSX10.9.dmg * MD5(RubyCocoa-1.1.0-OSX10.9.dmg)= 45c281ee2af5dc770adb7c69c4b7ea2c * SHA1(RubyCocoa-1.1.0-OSX10.9.dmg)= 630205d1a0ab55514965eec4023e3741881cdb61 - RubyCocoa-1.1.0-OSX10.8.dmg * MD5(RubyCocoa-1.1.0-OSX10.8.dmg)= 5ef68123f9ed8a64571413f722d91205 * SHA1(RubyCocoa-1.1.0-OSX10.8.dmg)= 297649dba3bed5fec5484b27cc5027afd9319e42 - RubyCocoa-1.1.0.tar.gz * MD5(RubyCocoa-1.1.0.tar.gz)= c1a8fd46893b30f4cb7129d46ac3ed57 * SHA1(RubyCocoa-1.1.0.tar.gz)= 55e80bab6a3f7edeb27559560fc73fa7995e9a4e -- kimuraw
Source: readme.txt, updated 2013-11-17

Thanks for helping keep SourceForge clean.

Screenshot instructions:
Windows
Mac
Red Hat Linux   Ubuntu

Click URL instructions:
Right-click on ad, choose "Copy Link", then paste here →
(This may not be possible with some types of ads)

More information about our ad policies
X

Briefly describe the problem (required):

Upload screenshot of ad (required):
Select a file, or drag & drop file here.

Please provide the ad click URL, if possible:

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

No, thanks